Name:          apache-ant
Version:       1.10.14
Release:       1mamba
Summary:       A Java-based build tool
Group:         Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://ant.apache.org
Source0:       http://mirror.nohup.it/apache/ant/source/apache-ant-%{version}-src.tar.bz2
Source1:       ant-profile.sh
Source2:       apache-ant-bin_ant
Source3:       apache-ant-ant.conf
Patch0:        apache-ant-1.9.13-ant-1.8.patch
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
BuildRequires: perl-devel
## AUTOBUILDREQ-END
%ifnarch arm
BuildRequires: java-environment
%endif
BuildRequires: java-junit
BuildRequires: java-hamcrest
BuildConflicts: apache-ant < 1.10
Requires:      java-junit
Requires:      java-hamcrest
Provides:      apache-ant-nodeps = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     apache-ant-nodeps < 1.10.13
Provides:      apache-ant-trax = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     apache-ant-trax < 1.10.13
Provides:      apache-ant-stylebook = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     apache-ant-stylebook < 1.10.13
Provides:      apache-ant-testutil = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     apache-ant-testutil < 1.10.13
Provides:      apache-ant-jmf
Obsoletes:     apache-ant-jmf < 1.10.13
Provides:      apache-ant-swing
Obsoletes:     apache-ant-swing < 1.10.13
Provides:      apache-ant-antlr
Provides:      apache-ant-bsf
Obsoletes:     apache-ant-bsf < 1.10.13
Provides:      apache-ant-resolver
Obsoletes:     apache-ant-resolver < 1.10.13
Provides:      apache-ant-commons-logging
Obsoletes:     apache-ant-commons-logging < 1.10.13
Provides:      apache-ant-commons-net
Obsoletes:     apache-ant-commons-net < 1.10.13
Provides:      apache-ant-jai
Obsoletes:     apache-ant-jai < 1.10.13
Provides:      apache-ant-bcel
Obsoletes:     apache-ant-bcel < 1.10.13
Provides:      apache-ant-log4j
Obsoletes:     apache-ant-log4j < 1.10.13
Provides:      apache-ant-oro
Obsoletes:     apache-ant-oro < 1.10.13
Provides:      apache-ant-regexp
Obsoletes:     apache-ant-regexp < 1.10.13
Provides:      apache-ant-javamail
Obsoletes:     apache-ant-javamail < 1.10.13
Provides:      apache-ant-jdepend
Obsoletes:     apache-ant-jdepend < 1.10.13
Provides:      apache-ant-jsch
Obsoletes:     apache-ant-jsch < 1.10.13
Provides:      apache-ant-junit
Obsoletes:     apache-ant-junit < 1.10.13
Provides:      apache-ant-xalan2
Obsoletes:     apache-ant-xalan2 < 1.10.13
Provides:      apache-ant-scripts
Obsoletes:     apache-ant-scripts < 1.10.13
Provides:      apache-ant-manual
Obsoletes:     apache-ant-manual < 1.10.13
Provides:      apache-ant-javadoc
Obsoletes:     apache-ant-javadoc < 1.10.13
Provides:      apache-ant-regexp
Obsoletes:     apache-ant-regexp < 1.10.13

%description
Apache Ant is a Java-based build tool. In theory, it is kind of like Make, but without Make's wrinkles.

%package manual
Summary:        Manual for ant
Group:          Documentation

%description manual
Documentation for ant.

%prep
%setup -q
#-D -T
#%patch0 -p1

%build
%ifnarch arm
export JAVA_HOME=%{_jvmdir}/jdk
export JAVACMD=%{_jvmdir}/jdk/bin/java
%endif

%ifarch arm
export JAVA_HOME=~/zulu11.43.100-ca-jdk11.0.9.1-linux_aarch32sf
%endif
# ant needs HOME to download libs to $HOME/.m2/repository
#export ANT_OPTS="-Duser.home=`pwd`"

./bootstrap.sh

bootstrap/bin/ant -Ddest=optional -f fetch.xml

rm -f lib/optional/junit-4.12.jar
ln -s %{_javadir}/junit.jar lib/optional/junit-4.12.jar
rm -f lib/optional/hamcrest-core-1.3.jar
ln -s %{_javadir}/hamcrest-core.jar lib/optional/hamcrest-core-1.3.jar
rm -f lib/optional/hamcrest-library-1.3.jar
ln -s %{_javadir}/hamcrest-library.jar lib/optional/hamcrest-library-1.3.jar

bootstrap/bin/ant dist

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
cd %{name}-%{version}

install -dm755 %{buildroot}%{_datadir}/apache-ant

install -dm755 %{buildroot}%{_sysconfdir}/apache-ant
cp -Rp etc/* %{buildroot}%{_sysconfdir}/apache-ant/

rm -f %{buildroot}%{_sysconfdir}/apache-ant/ant-bootstrap.jar
ln -s %{_sysconfdir}/apache-ant %{buildroot}%{_datadir}/apache-ant/etc

install -dm755 %{buildroot}%{_datadir}/apache-ant/bin
find bin -type f -a ! -name \*.bat -a ! -name \*.cmd \
  -exec install -m755 {} %{buildroot}%{_datadir}/apache-ant/bin \;

install -Dm755 %{SOURCE2} %{buildroot}%{_bindir}/ant
install -Dm644 %{SOURCE3} %{buildroot}%{_sysconfdir}/apache-ant/ant.conf

install -dm755 %{buildroot}%{_javadir}/apache-ant
install -m644 lib/*.jar %{buildroot}%{_javadir}/apache-ant/
ln -s %{_javadir}/apache-ant %{buildroot}%{_datadir}/apache-ant/lib

# install profile.d script
install -dm755 %{buildroot}%{_sysconfdir}/profile.d
cat > %{buildroot}%{_sysconfdir}/profile.d/apache-ant.sh << _EOF
export ANT_HOME=%{_datadir}/apache-ant
_EOF

cat > %{buildroot}%{_sysconfdir}/profile.d/apache-ant.csh << _EOF
setenv ANT_HOME %{_datadir}/apache-ant
_EOF

install -dm755 %{buildroot}%{_docdir}/apache-ant
cp -r manual/* %{buildroot}%{_docdir}/apache-ant/

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/apache-ant
%config %{_sysconfdir}/apache-ant/ant.conf
%{_sysconfdir}/apache-ant/*
%{_sysconfdir}/profile.d/apache-ant.sh
%{_sysconfdir}/profile.d/apache-ant.csh
%{_bindir}/ant
%dir %{_datadir}/java/apache-ant
%{_datadir}/java/apache-ant/ant-*.jar
%{_datadir}/java/apache-ant/ant.jar
%{_datadir}/apache-ant/bin/ant
%{_datadir}/apache-ant/bin/antRun
%{_datadir}/apache-ant/bin/antRun.pl
%{_datadir}/apache-ant/bin/complete-ant-cmd.pl
%{_datadir}/apache-ant/bin/runant.pl
%{_datadir}/apache-ant/bin/runant.py
%{_datadir}/apache-ant/etc
%{_datadir}/apache-ant/lib
%dir %{_docdir}/apache-ant
%{_docdir}/apache-ant/*

%changelog
* Tue Aug 22 2023 Automatic Build System <autodist@mambasoft.it> 1.10.14-1mamba
- automatic version update by autodist

* Tue Oct 19 2021 Automatic Build System <autodist@mambasoft.it> 1.10.12-1mamba
- automatic version update by autodist

* Wed Jul 14 2021 Automatic Build System <autodist@mambasoft.it> 1.10.11-1mamba
- automatic version update by autodist

* Tue Jun 01 2021 Automatic Build System <autodist@mambasoft.it> 1.10.10-1mamba
- automatic version update by autodist

* Tue Dec 22 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.10.9-1mamba
- update to 1.10.9

* Sun Oct 11 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.15-1mamba
- update to 1.9.15

* Fri Aug 10 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.13-2mamba
- fixed installation paths

* Wed Aug 08 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.13-1mamba
- update to 1.9.13

* Fri Jun 14 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.4-2mamba
- fix build with optional libraries. CLASSPATH is ignored (why?), needs symlnks in lib/optional
- fixes: the class org.apache.tools.ant.taskdefs.optional.junit.JUnitTask was not found.
- also restores build of gcj libraries

* Thu Aug 30 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.4-1mamba
- update to 1.8.4

* Thu Mar 15 2012 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.8.3-1mamba
- update to 1.8.3
- merge the nodeps, trax, stylebook and testutil packages to main one

* Sun Mar 20 2011 gil <puntogil@libero.it> 1.7.1-9mamba
- rebuilt with java-openjdk support
- add gcj support

* Tue May 18 2010 gil <puntogil@libero.it> 1.7.1-8mamba
- rebuilt with sun-java 6u20

* Mon Mar 29 2010 gil <puntogil@libero.it> 1.7.1-7mamba
- added new subackage: jai
- added new build requirements: apache-anakia apache-ant-antunit
  apache-tomcat5-servletapi5 apache-velocity-dvsl
  jakarta-commons-collections jakarta-commons-httpclient 
  java-bsh2 java-dom4j java-jacl java-rhino java-ruby
  jython java-xdoclet xjavadoc xml-commons-apis xml-commons-which10

* Thu Oct 22 2009 gil <puntogil@libero.it> 1.7.1-6mamba
- rebuilt with jakarta-commons-net2
- ANT_HOME moved in /usr/share/ant

* Sun Sep 06 2009 gil <puntogil@libero.it> 1.7.1-5mamba
- rebuilt
- edit spec file %{_datadir}/maven2/poms/JPP-ant.pom is not a pom file but %{SOURCE1}

* Mon Jun 29 2009 gil <puntogil@libero.it> 1.7.1-4mamba
- rebuilt

* Sun Jun 28 2009 gil <puntogil@libero.it> 1.7.1-3mamba
- rebuilt
- added mew sub package: apache-ant-testutil

* Thu Mar 05 2009 gil <puntogil@libero.it> 1.7.1-2mamba
- added xml-commons-resolver jakarta-commons-logging java-log4j jakarta-bcel jakarta-bsf jakarta-commons-net jakarta-oro java-classpathx-jaf java-classpathx-mail java-depend java-junit3 java-regexp java-sch support
- edit spec file

* Thu Jul 10 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.7.1-1mamba
- update to 1.7.1

* Thu May 08 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.7.0-1mamba
- update to 1.7.0
- moved to /opt/ant

* Fri Jul 15 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.5-1qilnx
- package created by autospec
